##### basic_raw_socket::send_to (3 of 3 overloads)

Send raw data to the specified endpoint.

    template<
        typename ConstBufferSequence>
    std::size_t send_to(
        const ConstBufferSequence & buffers,
        const endpoint_type & destination,
        socket_base::message_flags flags,
        asio::error_code & ec);

This function is used to send raw data to the specified remote endpoint. The function call will block until the data has been sent successfully or an error occurs.

###### Parameters

buffers

  One or more data buffers to be sent to the remote endpoint.

destination

  The remote endpoint to which the data will be sent.

flags

  Flags specifying how the send call is to be made.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes sent.